org.springframework.ldap.core

## Interface DnParserImplConstants

- All Known Implementing Classes:
    DnParserImpl, DnParserImplTokenManager

      public interface DnParserImplConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALPHA` RegularExpression Id.
    `static int` | `ATTRIBUTE_TYPE_STRING` RegularExpression Id.
    `static int` | `ATTRVALUE` RegularExpression Id.
    `static int` | `ATTRVALUE_S` Lexical state.
    `static int` | `BACKSLASHCHAR` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DIGIT` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `ESCAPEDSTART` RegularExpression Id.
    `static int` | `HASHCHAR` RegularExpression Id.
    `static int` | `HEXCHAR` RegularExpression Id.
    `static int` | `HEXPAIR` RegularExpression Id.
    `static int` | `LDAP_OID` RegularExpression Id.
    `static int` | `LEADCHAR` RegularExpression Id.
    `static int` | `PAIR` RegularExpression Id.
    `static int` | `QUOTECHAR` RegularExpression Id.
    `static int` | `SPACE` RegularExpression Id.
    `static int` | `SPACED_EQUALS` RegularExpression Id.
    `static int` | `SPACED_EQUALS_S` Lexical state.
    `static int` | `SPECIAL` RegularExpression Id.
    `static int` | `STRINGCHAR` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `TRAILCHAR` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### ALPHA

          static final int ALPHA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LEADCHAR

          static final int LEADCHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRINGCHAR

          static final int STRINGCHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRAILCHAR

          static final int TRAILCHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SPECIAL

          static final int SPECIAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEXCHAR

          static final int HEXCHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEXPAIR

          static final int HEXPAIR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BACKSLASHCHAR

          static final int BACKSLASHCHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PAIR

          static final int PAIR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ESCAPEDSTART

          static final int ESCAPEDSTART

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUOTECHAR

          static final int QUOTECHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HASHCHAR

          static final int HASHCHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ATTRIBUTE_TYPE_STRING

          static final int ATTRIBUTE_TYPE_STRING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LDAP_OID

          static final int LDAP_OID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SPACE

          static final int SPACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ATTRVALUE

          static final int ATTRVALUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SPACED_EQUALS

          static final int SPACED_EQUALS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### ATTRVALUE_S

          static final int ATTRVALUE_S

      Lexical state.
      See Also:
        Constant Field Values

    - #### SPACED_EQUALS_S

          static final int SPACED_EQUALS_S

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.